Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.domain
Class Response

    java.lang.Object
      net.sourceforge.pebble.domain.Content
          net.sourceforge.pebble.domain.Response

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Permalinkable

Direct Known Subclasses:
  Comment, TrackBack

    public abstract class Response

extends Content

Represents a response to a blog entry - either a comment or a TrackBack.

Author:
  Simon Brown
See Also:
  Serialized Form

Field Summary
`protected BlogEntry` | `blogEntry` the parent blog entry
`protected java.util.Date` | `date` the date that the trackback was received
`protected java.lang.String` | `ipAddress` the ip address of the author
`protected java.lang.String` | `title` the title

Fields inherited from class net.sourceforge.pebble.domain.Content
`propertyChangeSupport`

Constructor Summary
`Response()` Default, no args constructor.

Method Summary
`BlogEntry` | `getBlogEntry()` Gets the owning blog entry.
`java.util.Date` | `getDate()` Gets the date that this response was received.
`java.lang.String` | `getGuid()` Gets the globally unique id of this response.
`long` | `getId()` Gets the id of this comment.
`java.lang.String` | `getIpAddress()` Gets the IP address.
`abstract java.lang.String` | `getSourceLink()` Gets the link to the source of this response.
`abstract java.lang.String` | `getSourceName()` Gets the name of the source of this response.
`int` | `getSpamScore()` Gets the spam score.
`java.lang.String` | `getTitle()` Gets the title.
`void` | `incrementSpamScore()` Increments the spam score by 1.
`boolean` | `isApproved()` Determines whether this response is approved.
`boolean` | `isPending()` Determines whether this response is pending.
`boolean` | `isRejected()` Determines whether this response is rejected.
`void` | `setApproved()` Sets the state of this response to approved.
`void` | `setDate(java.util.Date date)` Sets the date that this response was received.
`void` | `setIpAddress(java.lang.String ipAddress)` Sets the IP address.
`void` | `setPending()` Sets the state of this response to pending.
`void` | `setRejected()` Sets the state of this response to rejected.
`void` | `setTitle(java.lang.String title)` Sets the title of the blog entry for this trackback.

Methods inherited from class net.sourceforge.pebble.domain.Content
`clearPropertyChangeEvents, getContent, getEvents, getPropertyChangeEvents, getState, getTruncatedContent, hasEvents, isDirty, nextEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sourceforge.pebble.domain.Permalinkable
`getPermalink`

Field Detail

### title

    protected java.lang.String title

  the title

### ipAddress

    protected java.lang.String ipAddress

  the ip address of the author

### date

    protected java.util.Date date

  the date that the trackback was received

### blogEntry

    protected BlogEntry blogEntry

  the parent blog entry

Constructor Detail

### Response

    public Response()

  Default, no args constructor.

Method Detail

### getId

    public long getId()

  Gets the id of this comment.

  Returns:
    the id as a primitive long

### getGuid

    public java.lang.String getGuid()

  Gets the globally unique id of this response.

  Returns:
    a String of the form type/blogEntryId/responseId

### getTitle

    public java.lang.String getTitle()

  Gets the title.

  Returns:
    the title as a String

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title of the blog entry for this trackback.

  Parameters:
    `title` - the title as a String

### getSourceName

    public abstract java.lang.String getSourceName()

  Gets the name of the source of this response.

  Returns:
    a String

### getSourceLink

    public abstract java.lang.String getSourceLink()

  Gets the link to the source of this response.

  Returns:
    a String

### getIpAddress

    public java.lang.String getIpAddress()

  Gets the IP address.

  Returns:
    the IP address as a String

### setIpAddress

    public void setIpAddress(java.lang.String ipAddress)

  Sets the IP address.

  Parameters:
    `ipAddress` - the IP address of the responder

### getDate

    public java.util.Date getDate()

  Gets the date that this response was received.

  Returns:
    the date as a java.util.Date instance.

### setDate

    public void setDate(java.util.Date date)

  Sets the date that this response was received.

  Parameters:
    `date` - the date as a java.util.Date instance.

### getBlogEntry

    public BlogEntry getBlogEntry()

  Gets the owning blog entry.

  Returns:
    the owning BlogEntry instance

### getSpamScore

    public int getSpamScore()

  Gets the spam score.

  Returns:
    an int

### incrementSpamScore

    public void incrementSpamScore()

  Increments the spam score by 1.

### setRejected

    public void setRejected()

  Sets the state of this response to rejected.

### isRejected

    public boolean isRejected()

  Determines whether this response is rejected.

  Returns:
    true if the state is rejected, false otherwise

### setApproved

    public void setApproved()

  Sets the state of this response to approved.

### isApproved

    public boolean isApproved()

  Determines whether this response is approved.

  Returns:
    true if the state is approved, false otherwise

### setPending

    public void setPending()

  Sets the state of this response to pending.

### isPending

    public boolean isPending()

  Determines whether this response is pending.

  Returns:
    true if the state is pending, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.